> ## Documentation Index
> Fetch the complete documentation index at: https://developer.surefeedback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List comment pages

> List all pages on a site that have comments.

Returns the unique pages for a site, along with comment counts and summary metadata used by the comments sidebar.

## Query parameters

<ParamField query="site_id" type="string" required>
  UUID of the site.
</ParamField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "data": [
      {
        "page_url": "https://example.com/home",
        "page_title": "Home",
        "comment_count": 12
      },
      {
        "page_url": "https://example.com/about",
        "page_title": "About",
        "comment_count": 3
      }
    ],
    "meta": {
      "organization_id": "660e8400-e29b-41d4-a716-446655440001",
      "site_id": "880e8400-e29b-41d4-a716-446655440003",
      "timestamp": "2026-03-27T12:00:00.000Z"
    }
  }
  ```
</ResponseExample>
